Skip to main content
POST
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
import
Import segments
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/import \
  --header 'Authorization: <api-key>' \
  --header 'Content-Disposition: <content-disposition>' \
  --header 'Content-Type: application/octet-stream' \
  --data '{}'
{
  "acceptedSegmentsCount": 123,
  "createdSegmentsCount": 123,
  "updatedSegmentsCount": 123,
  "skippedSegmentsCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Length
integer<int64>
Content-Disposition
string
required

must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)

Path Parameters

transMemoryUid
string
required

Query Parameters

strictLangMatching
boolean
default:false
stripNativeCodes
boolean
default:true
excludeNotConfirmedSegments
boolean
default:false

Body

The body is of type object.

Response

successful operation

acceptedSegmentsCount
integer<int32>
createdSegmentsCount
integer<int32>
updatedSegmentsCount
integer<int32>
skippedSegmentsCount
integer<int32>